Package kiyut.sketsa.canvas.tool.point

## Class PathSegment

- java.lang.Object
- - kiyut.sketsa.canvas.tool.point.PathSegment

-     public class PathSegment
      extends Object

  PathSegment for PointTool
  Author:
    KIYUT

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PathSegment()` | Creates a new instance of PathSegment

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addPoint​(Point2D p)` |
    `void` | `clear()` |
    `Point2D` | `getPoint​(int index)` |
    `int` | `getPointCount()` |
    `short` | `getType()` | Return SVGPathSeg type constant eg: PATHSEG_MOVETO_ABS, PATHSEG_CURVETO_CUBIC_ABS, PATHSEG_LINETO_ABS, etc
    `int` | `indexOfPoint​(Point2D p)` |
    `Point2D` | `removePoint​(int index)` |
    `void` | `setType​(short type)` | Set the SVGPathSeq constant eg: PATHSEG_MOVETO_ABS, PATHSEG_CURVETO_CUBIC_ABS, PATHSEG_LINETO_ABS, etc

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PathSegment

          public PathSegment()

      Creates a new instance of PathSegment

  - ### Method Detail

    - #### setType

          public void setType​(short type)

      Set the SVGPathSeq constant eg: PATHSEG_MOVETO_ABS, PATHSEG_CURVETO_CUBIC_ABS, PATHSEG_LINETO_ABS, etc
      Parameters:
        `type` - SVGPathSeq type constant
      See Also:
        `getType()`

    - #### getType

          public short getType()

      Return SVGPathSeg type constant eg: PATHSEG_MOVETO_ABS, PATHSEG_CURVETO_CUBIC_ABS, PATHSEG_LINETO_ABS, etc
      Returns:
        SVGPathSeq type constant
      See Also:
        `setType(short)`

    - #### addPoint

          public void addPoint​(Point2D p)

    - #### getPoint

          public Point2D getPoint​(int index)

    - #### removePoint

          public Point2D removePoint​(int index)

    - #### clear

          public void clear()

    - #### getPointCount

          public int getPointCount()

    - #### indexOfPoint

          public int indexOfPoint​(Point2D p)